# Test NextHopFaceId tag and LP field

## Topology

B--A--C

## Steps

1.  Start NFD on A, B, and C.
2.  On A, create routes for prefix /P toward B and C. The cost toward B is lower than the cost toward C.
3.  On B, start ndn-traffic-server on /P, serving payload "BBBBBBBB".
4.  On C, start ndn-traffic-server on /P, serving payload "CCCCCCCC".
5.  On A, execute a consumer to enable local fields and then express an Interest for /P/1, without NextHopFaceId tag. Expect Data with payload "BBBBBBBB".
6.  On A, execute a consumer to enable local fields and then express an Interest for /P/2, with NextHopFaceId=faceB. Expect Data with payload "BBBBBBBB".
7.  On A, execute a consumer to enable local fields and then express an Interest for /P/3, with NextHopFaceId=faceC. Expect Data with payload "CCCCCCCC".
8.  On A, execute a consumer to enable local fields and then express an Interest for /P/4, with NextHopFaceId=null-face. Expect either timeout or Nack.
9.  On A, execute a consumer to disable local fields and then express an Interest for /P/5, with NextHopFaceId=faceC. Expect either timeout or Data with payload "BBBBBBBB".
